<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myReturnSalesOrderLabel" jhiTranslate="mpmApp.returnSalesOrder.home.createOrEditLabel">Create or edit a Return Sales Order</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!returnSalesOrder.idOrder">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="returnSalesOrder.idOrder" readonly />
                </div>

                <div class="form-group" *ngIf="idInternal === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.returnSalesOrder.internal" for="field_internal">Internal</label>
                    <select class="form-control" id="field_internal" name="internal" [(ngModel)]="returnSalesOrder.internalId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idCustomer === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.returnSalesOrder.customer" for="field_customer">Customer</label>
                    <select class="form-control" id="field_customer" name="customer" [(ngModel)]="returnSalesOrder.customerId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="customerOption.idCustomer" *ngFor="let customerOption of customers; trackBy: trackCustomerById">{{customerOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idBillTo === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.returnSalesOrder.billTo" for="field_billTo">Bill To</label>
                    <select class="form-control" id="field_billTo" name="billTo" [(ngModel)]="returnSalesOrder.billToId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="billToOption.idBillTo" *ngFor="let billToOption of billtos; trackBy: trackBillToById">{{billToOption.id}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
